## org.apache.axis.utils
Class SessionUtils

    java.lang.Object
      org.apache.axis.utils.SessionUtils

public class SessionUtils
extends java.lang.Object

Code borrowed from AuthenticatorBase.java for generating a secure id's.

Field Summary
`protected static org.apache.commons.logging.Log` `log` Field log
`protected static java.util.Random` `random` A random number generator to use when generating session identifiers.
`protected static java.lang.String` `randomClass` The Java class name of the random number generator class to be used when generating session identifiers.
`protected static int` `SESSION_ID_BYTES` The number of random bytes to include when generating a session identifier.

Constructor Summary
`SessionUtils()`

Method Summary
`static java.lang.Long` `generateSession()` Generate and return a new session identifier.
`static java.lang.String` `generateSessionId()` Generate and return a new session identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

### SESSION_ID_BYTES

    protected static final int SESSION_ID_BYTES

  The number of random bytes to include when generating a session identifier.

  See Also:
    Constant Field Values

### random

    protected static java.util.Random random

  A random number generator to use when generating session identifiers.

### randomClass

    protected static java.lang.String randomClass

  The Java class name of the random number generator class to be used when generating session identifiers.

Constructor Detail

### SessionUtils

    public SessionUtils()

Method Detail

### generateSessionId

    public static java.lang.String generateSessionId()

  Generate and return a new session identifier.

  Returns:
    a new session id

### generateSession

    public static java.lang.Long generateSession()

  Generate and return a new session identifier.

  Returns:
    a new session.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.